#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA5,0x18,0x43,0xF9,0xEF,0x0F,0x51,0x51,0x24,0x5A,0x4E,0x5F,
		0x01,0xD4,0x73,0xF1,0x7F,0x5A,0x3C,0x3A,0x23,0x96,0x80,0x93,
		0xA1,0x4E,0x68,0xA6,0x26,0xF9,0xA7,0xB6,0x95,0xFC,0x90,0x02,
		0x58,0xC8,0x7A,0xDF,0xB8,0x58,0xAE,0xB0,0x5D,0x72,0x0C,0xEE,
		0x47,0x08,0xC1,0xDD,0x87,0x07,0x6E,0xF6,0xF4,0x4B,0x2F,0x8F,
		0x8E,0x26,0x02,0x03,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
